Skip to main content

Add Private Endpoint Whitelist Entry (V2)

Adds an external cloud account to the private endpoint whitelist of a project.

POST/v2/projects/{projectId}/privateEndpointWhitelist
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
projectIdstringpathrequired

The ID of the project.

Example Value: proj-xxxxxxxxxxxxxxxxxxx
Request Body
regionIdstringrequired

The cloud region ID.

outerUserIdstringrequired

The external cloud account identifier, such as an Azure subscription ID or an Alibaba Cloud account ID.

AWS Accountbash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"

curl --request POST \
--url "${BASE_URL}/v2/projects/${projectId}/privateEndpointWhitelist" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"regionId": "aws-us-west-2",
"outerUserId": "123456789012"
}'
Responses

Returns a successful result or an error message.

A successful response.

codeintegerrequired

The response code.

Example Value: 0
datastringrequired

The operation result.

A failure response.

codeintegerrequired

The response code.

messagestringrequired

The error message.

Successjson
{
"code": 0,
"data": "success"
}
Ctrl I